# Maintainer: Antoni Aloy <aaloytorrens@gmail.com>
# Contributor: Antoni Aloy <aaloytorrens@gmail.com>
pkgname=py3-simplemediawiki
pkgver=1.2.0
pkgrel=0
_commit="e531dabcb6541cc95770ce3de418cabc6d2424a1"
pkgdesc="Extremely low-level wrapper to the MediaWiki API"
url="https://github.com/iliana/python-simplemediawiki"
arch="noarch"
license="LGPL-3.0-or-later"
depends="python3"
options="!check" # No testsuite
source="$pkgname-$_commit.tar.gz::https://github.com/iliana/python-simplemediawiki/archive/$_commit.tar.gz"
builddir="$srcdir/python-simplemediawiki-$_commit"

build() {
	python3 setup.py build
}

package() {
	python3 setup.py install \
				--prefix=/usr \
				--root="$pkgdir" \
				--optimize=1
}

sha512sums="
95c6cee71af2579a6fe90f86671dfa457e9c2cf5923bdf15e01041c5a149fe52fbc5cc6e1c228375653663ddf3622013035128b261153a8f55146688bf912365  py3-simplemediawiki-e531dabcb6541cc95770ce3de418cabc6d2424a1.tar.gz
"
